"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
function slice(arr, start, end) {
    (0, utils_1.ensure)(Array.isArray(arr), 'slice expects first argument to be an array');
    (0, utils_1.ensure)(typeof start === 'number' || typeof start === 'undefined', 'slice expects second argument to be a number');
    (0, utils_1.ensure)(typeof end === 'number' || typeof end === 'undefined', 'slice expects third argument to be a number');
    return arr.slice(start, end);
}
function length(arr) {
    (0, utils_1.ensure)(Array.isArray(arr), 'length expects first argument to be an array');
    return arr.length;
}
// TODO comparison.contains
// TODO each/forEach
// TODO includes
// TODO isArray
// TODO each index
// TODO each context
// TODO before
// TODO after
// TODO slice
// TODO first
// TODO last
// TODO itemAt
// TODO length
// TODO join
// TODO reverse
// TODO merge
