import { TemplateStatement } from './parser/statements';
declare class Bigodon {
    private readonly helpers;
    parse: (template: string) => TemplateStatement;
    run: (ast: TemplateStatement, context?: object) => Promise<string>;
    compile: (template: string) => (context?: object) => Promise<string>;
    addHelper: (name: string, helper: Function) => Bigodon;
}
export declare const parse: (template: string) => TemplateStatement, run: (ast: TemplateStatement, context?: object) => Promise<string>, compile: (template: string) => (context?: object) => Promise<string>;
export { TemplateStatement } from './parser/statements';
export default Bigodon;
